﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://cdn.gpsoft.com.au/Opus12/DOpusInstall.exe'
$url64      = $url

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Directory Opus'

  checksum      = '007b748b02bd493b8f11bd1999ecd51d'
  checksumType  = 'md5'
  checksum64    = '007b748b02bd493b8f11bd1999ecd51d'
  checksumType64= 'md5'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = "/s /f1${toolsDir}\install.iss"
}

Install-ChocolateyPackage @packageArgs










    








